# Uses of Interface
java.security.AlgorithmConstraints

Packages that use AlgorithmConstraints
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

## Uses of AlgorithmConstraints in javax.net.ssl

Methods in javax.net.ssl that return AlgorithmConstraints
Modifier and Type
Method
Description
`AlgorithmConstraints`
SSLParameters.`getAlgorithmConstraints()`
Returns the cryptographic algorithm constraints.
Methods in javax.net.ssl with parameters of type AlgorithmConstraints
Modifier and Type
Method
Description
`void`
SSLParameters.`setAlgorithmConstraints(AlgorithmConstraints constraints)`
Sets the cryptographic algorithm constraints, which will be used in addition to any configured by the runtime environment.